---
SPDXID: "SPDXRef-DOCUMENT"
spdxVersion: "SPDX-2.2"
creationInfo:
  created: "2023-04-05T17:31:12Z"
  creators:
  - "Tool: OSS Review Toolkit - cc543c9380-dirty"
  licenseListVersion: "3.19"
name: "Unnamed document"
dataLicense: "CC0-1.0"
documentNamespace: "spdx://f8149def-d50d-4106-92d4-1cf0af8756b2"
documentDescribes:
- "SPDXRef-Project-Yarn-cdt-gdb-adapter-0.0.20-next"
packages:
- SPDXID: "SPDXRef-Project-Yarn-cdt-gdb-adapter-0.0.20-next"
  copyrightText: "Copyright (c) 2018-2019 QNX Software Systems and others\nCopyright\
    \ (c) 2018-2020, 2022-2023 Ericsson and others\nCopyright (c) 2019 Arm Ltd. and\
    \ others\nCopyright (c) 2019 Arm and others\nCopyright (c) 2019, 2023 Kichwa Coders\
    \ and others\nCopyright (c) 2022-2023 Kichwa Coders Canada Inc. and others\nCopyright\
    \ (c) 2023 Kichwa Coders Canada Inc."
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "https://github.com/eclipse-cdt-cloud/cdt-gdb-adapter#readme"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "EPL-2.0"
  name: "cdt-gdb-adapter"
  summary: "NONE"
  versionInfo: "0.0.20-next"
- SPDXID: "SPDXRef-Package-NPM-node-addon-api-4.3.0"
  copyrightText: "Copyright (c) 2017 Node.js"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/node-addon-api@4.3.0"
  filesAnalyzed: false
  homepage: "https://github.com/nodejs/node-addon-api"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "MIT"
  name: "node-addon-api"
  summary: "Node.js API (Node-API)"
  versionInfo: "4.3.0"
- SPDXID: "SPDXRef-Package-NPM-node-addon-api-4.3.0-vcs"
  copyrightText: "Copyright (c) 2017 Node.js"
  downloadLocation: "git+https://github.com/nodejs/node-addon-api.git@133e13d0d51e5e4bc75295b9bad07d0483da178d"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/node-addon-api@4.3.0"
  filesAnalyzed: false
  homepage: "https://github.com/nodejs/node-addon-api"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "node-addon-api"
  summary: "Node.js API (Node-API)"
  versionInfo: "4.3.0"
- SPDXID: "SPDXRef-Package-NPM-node-addon-api-4.3.0-source-artifact"
  copyrightText: "Copyright (c) 2017 Node.js"
  downloadLocation: "https://registry.npmjs.org/node-addon-api/-/node-addon-api-4.3.0.tgz"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/node-addon-api@4.3.0"
  filesAnalyzed: false
  homepage: "https://github.com/nodejs/node-addon-api"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "node-addon-api"
  summary: "Node.js API (Node-API)"
  versionInfo: "4.3.0"
- SPDXID: "SPDXRef-Package-NPM-vscode-debugadapter-1.59.0"
  copyrightText: "Copyright (c) Microsoft Corporation"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/%40vscode/debugadapter@1.59.0"
  filesAnalyzed: false
  homepage: "https://github.com/microsoft/vscode-debugadapter-node#readme"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "MIT"
  name: "debugadapter"
  summary: "Debug adapter implementation for node"
  versionInfo: "1.59.0"
- SPDXID: "SPDXRef-Package-NPM-vscode-debugadapter-1.59.0-vcs"
  copyrightText: "Copyright (c) Microsoft Corporation"
  downloadLocation: "git+https://github.com/microsoft/vscode-debugadapter-node.git@0152abf8a4efa5044888acc1f0e9d542b92a018c"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/%40vscode/debugadapter@1.59.0"
  filesAnalyzed: false
  homepage: "https://github.com/microsoft/vscode-debugadapter-node#readme"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "debugadapter"
  summary: "Debug adapter implementation for node"
  versionInfo: "1.59.0"
- SPDXID: "SPDXRef-Package-NPM-vscode-debugadapter-1.59.0-source-artifact"
  copyrightText: "Copyright (c) Microsoft Corporation"
  downloadLocation: "https://registry.npmjs.org/@vscode/debugadapter/-/debugadapter-1.59.0.tgz"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/%40vscode/debugadapter@1.59.0"
  filesAnalyzed: false
  homepage: "https://github.com/microsoft/vscode-debugadapter-node#readme"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "debugadapter"
  summary: "Debug adapter implementation for node"
  versionInfo: "1.59.0"
- SPDXID: "SPDXRef-Package-NPM-vscode-debugprotocol-1.59.0"
  copyrightText: "Copyright (c) Microsoft Corporation"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/%40vscode/debugprotocol@1.59.0"
  filesAnalyzed: false
  homepage: "https://github.com/microsoft/vscode-debugadapter-node#readme"
  licenseConcluded: "MIT"
  licenseDeclared: "MIT"
  name: "debugprotocol"
  summary: "Npm module with declarations for the Visual Studio Code debug protocol"
  versionInfo: "1.59.0"
- SPDXID: "SPDXRef-Package-NPM-vscode-debugprotocol-1.59.0-vcs"
  copyrightText: "Copyright (c) Microsoft Corporation"
  downloadLocation: "git+https://github.com/microsoft/vscode-debugadapter-node.git@0152abf8a4efa5044888acc1f0e9d542b92a018c"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/%40vscode/debugprotocol@1.59.0"
  filesAnalyzed: false
  homepage: "https://github.com/microsoft/vscode-debugadapter-node#readme"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "debugprotocol"
  summary: "Npm module with declarations for the Visual Studio Code debug protocol"
  versionInfo: "1.59.0"
- SPDXID: "SPDXRef-Package-NPM-vscode-debugprotocol-1.59.0-source-artifact"
  copyrightText: "Copyright (c) Microsoft Corporation"
  downloadLocation: "https://registry.npmjs.org/@vscode/debugprotocol/-/debugprotocol-1.59.0.tgz"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/%40vscode/debugprotocol@1.59.0"
  filesAnalyzed: false
  homepage: "https://github.com/microsoft/vscode-debugadapter-node#readme"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "debugprotocol"
  summary: "Npm module with declarations for the Visual Studio Code debug protocol"
  versionInfo: "1.59.0"
relationships:
- spdxElementId: "SPDXRef-Package-NPM-node-addon-api-4.3.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-node-addon-api-4.3.0-vcs"
- spdxElementId: "SPDXRef-Package-NPM-node-addon-api-4.3.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-node-addon-api-4.3.0-source-artifact"
- spdxElementId: "SPDXRef-Package-NPM-vscode-debugadapter-1.59.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-vscode-debugprotocol-1.59.0"
- spdxElementId: "SPDXRef-Package-NPM-vscode-debugadapter-1.59.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-vscode-debugadapter-1.59.0-vcs"
- spdxElementId: "SPDXRef-Package-NPM-vscode-debugadapter-1.59.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-vscode-debugadapter-1.59.0-source-artifact"
- spdxElementId: "SPDXRef-Package-NPM-vscode-debugprotocol-1.59.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-vscode-debugprotocol-1.59.0-vcs"
- spdxElementId: "SPDXRef-Package-NPM-vscode-debugprotocol-1.59.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-vscode-debugprotocol-1.59.0-source-artifact"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-gdb-adapter-0.0.20-next"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-node-addon-api-4.3.0"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-gdb-adapter-0.0.20-next"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-vscode-debugadapter-1.59.0"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-gdb-adapter-0.0.20-next"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-vscode-debugprotocol-1.59.0"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-gdb-adapter-0.0.20-next"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-chai-string-1.5.0"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-gdb-adapter-0.0.20-next"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-chai-4.3.7"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-gdb-adapter-0.0.20-next"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-cross-env-7.0.3"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-gdb-adapter-0.0.20-next"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-eslint-config-prettier-8.6.0"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-gdb-adapter-0.0.20-next"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-eslint-8.35.0"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-gdb-adapter-0.0.20-next"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-mocha-jenkins-reporter-0.4.8"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-gdb-adapter-0.0.20-next"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-mocha-9.2.0"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-gdb-adapter-0.0.20-next"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-node-gyp-8.4.1"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-gdb-adapter-0.0.20-next"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-npm-run-all-4.1.5"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-gdb-adapter-0.0.20-next"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-prettier-2.8.4"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-gdb-adapter-0.0.20-next"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-tmp-0.2.1"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-gdb-adapter-0.0.20-next"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-ts-node-10.9.1"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-gdb-adapter-0.0.20-next"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-typescript-4.9.5"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-gdb-adapter-0.0.20-next"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-types-chai-string-1.4.2"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-gdb-adapter-0.0.20-next"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-types-chai-4.3.4"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-gdb-adapter-0.0.20-next"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-types-mocha-9.1.0"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-gdb-adapter-0.0.20-next"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-types-node-14.18.17"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-gdb-adapter-0.0.20-next"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-types-tmp-0.2.3"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-gdb-adapter-0.0.20-next"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-typescript-eslint-eslint-plugin-5.54.0"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-gdb-adapter-0.0.20-next"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-typescript-eslint-parser-5.54.0"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-gdb-adapter-0.0.20-next"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-vscode-debugadapter-testsupport-1.59.0"
